GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkRTStructSetProperties Class Reference

`#include <vtkRTStructSetProperties.h>`

Inheritance diagram for vtkRTStructSetProperties:
[legend]
Collaboration diagram for vtkRTStructSetProperties:
[legend]

## Public Member Functions

void | AddContourReferencedFrameOfReference (vtkIdType pdnum, const char *classuid, const char *instanceuid)
void | AddReferencedFrameOfReference (const char *classuid, const char *instanceuid)
void | AddStructureSetROI (int roinumber, const char *refframerefuid, const char *roiname, const char *ROIGenerationAlgorithm)
void | AddStructureSetROIObservation (int refnumber, int observationnumber, const char *rtroiinterpretedtype, const char *roiinterpreter)
virtual void | Clear ()
virtual void | DeepCopy (vtkRTStructSetProperties *p)
const char * | GetContourReferencedFrameOfReferenceClassUID (vtkIdType pdnum, vtkIdType id)
const char * | GetContourReferencedFrameOfReferenceInstanceUID (vtkIdType pdnum, vtkIdType id)
vtkIdType | GetNumberOfContourReferencedFrameOfReferences ()
vtkIdType | GetNumberOfContourReferencedFrameOfReferences (vtkIdType pdnum)
vtkIdType | GetNumberOfReferencedFrameOfReferences ()
vtkIdType | GetNumberOfStructureSetROIs ()
const char * | GetReferencedFrameOfReferenceClassUID (vtkIdType id)
const char * | GetReferencedFrameOfReferenceInstanceUID (vtkIdType id)
int | GetStructureSetObservationNumber (vtkIdType id)
const char * | GetStructureSetROIGenerationAlgorithm (vtkIdType)
const char * | GetStructureSetROIName (vtkIdType)
int | GetStructureSetROINumber (vtkIdType id)
const char * | GetStructureSetROIRefFrameRefUID (vtkIdType)
const char * | GetStructureSetRTROIInterpretedType (vtkIdType id)
void | PrintSelf (ostream &os, vtkIndent indent)
| vtkGetStringMacro (StructureSetLabel)
| vtkGetStringMacro (StructureSetName)
| vtkGetStringMacro (StructureSetDate)
| vtkGetStringMacro (StructureSetTime)
| vtkGetStringMacro (SOPInstanceUID)
| vtkGetStringMacro (StudyInstanceUID)
| vtkGetStringMacro (SeriesInstanceUID)
| vtkGetStringMacro (ReferenceSeriesInstanceUID)
| vtkGetStringMacro (ReferenceFrameOfReferenceUID)
| vtkSetStringMacro (StructureSetLabel)
| vtkSetStringMacro (StructureSetName)
| vtkSetStringMacro (StructureSetDate)
| vtkSetStringMacro (StructureSetTime)
| vtkSetStringMacro (SOPInstanceUID)
| vtkSetStringMacro (StudyInstanceUID)
| vtkSetStringMacro (SeriesInstanceUID)
| vtkSetStringMacro (ReferenceSeriesInstanceUID)
| vtkSetStringMacro (ReferenceFrameOfReferenceUID)
| vtkTypeRevisionMacro (vtkRTStructSetProperties, vtkObject)

## Static Public Member Functions

static vtkRTStructSetProperties * | New ()

## Protected Member Functions

| vtkRTStructSetProperties ()
| ~vtkRTStructSetProperties ()

## Protected Attributes

vtkRTStructSetPropertiesInternals * | Internals
char * | ReferenceFrameOfReferenceUID
char * | ReferenceSeriesInstanceUID
char * | SeriesInstanceUID
char * | SOPInstanceUID
char * | StructureSetDate
char * | StructureSetLabel
char * | StructureSetName
char * | StructureSetTime
char * | StudyInstanceUID

## Detailed Description

Examples:
  GenerateRTSTRUCT.cxx.

## Constructor & Destructor Documentation

vtkRTStructSetProperties::vtkRTStructSetProperties | ( |  | ) |

protected

vtkRTStructSetProperties::~vtkRTStructSetProperties | ( |  | ) |

protected

## Member Function Documentation

void vtkRTStructSetProperties::AddContourReferencedFrameOfReference | ( | vtkIdType | pdnum,
|  | const char * | classuid,
|  | const char * | instanceuid
| ) |  |

void vtkRTStructSetProperties::AddReferencedFrameOfReference | ( | const char * | classuid,
|  | const char * | instanceuid
| ) |  |

void vtkRTStructSetProperties::AddStructureSetROI | ( | int | roinumber,
|  | const char * | refframerefuid,
|  | const char * | roiname,
|  | const char * | ROIGenerationAlgorithm
| ) |  |

void vtkRTStructSetProperties::AddStructureSetROIObservation | ( | int | refnumber,
|  | int | observationnumber,
|  | const char * | rtroiinterpretedtype,
|  | const char * | roiinterpreter
| ) |  |

virtual void vtkRTStructSetProperties::Clear | ( |  | ) |

virtual

virtual void vtkRTStructSetProperties::DeepCopy | ( | vtkRTStructSetProperties * | p | ) |

virtual

const char* vtkRTStructSetProperties::GetContourReferencedFrameOfReferenceClassUID | ( | vtkIdType | pdnum,
|  | vtkIdType | id
| ) |  |

const char* vtkRTStructSetProperties::GetContourReferencedFrameOfReferenceInstanceUID | ( | vtkIdType | pdnum,
|  | vtkIdType | id
| ) |  |

vtkIdType vtkRTStructSetProperties::GetNumberOfContourReferencedFrameOfReferences | ( |  | ) |

vtkIdType vtkRTStructSetProperties::GetNumberOfContourReferencedFrameOfReferences | ( | vtkIdType | pdnum | ) |

vtkIdType vtkRTStructSetProperties::GetNumberOfReferencedFrameOfReferences | ( |  | ) |

vtkIdType vtkRTStructSetProperties::GetNumberOfStructureSetROIs | ( |  | ) |

const char* vtkRTStructSetProperties::GetReferencedFrameOfReferenceClassUID | ( | vtkIdType | id | ) |

const char* vtkRTStructSetProperties::GetReferencedFrameOfReferenceInstanceUID | ( | vtkIdType | id | ) |

int vtkRTStructSetProperties::GetStructureSetObservationNumber | ( | vtkIdType | id | ) |

const char* vtkRTStructSetProperties::GetStructureSetROIGenerationAlgorithm | ( | vtkIdType |  | ) |

const char* vtkRTStructSetProperties::GetStructureSetROIName | ( | vtkIdType |  | ) |

int vtkRTStructSetProperties::GetStructureSetROINumber | ( | vtkIdType | id | ) |

const char* vtkRTStructSetProperties::GetStructureSetROIRefFrameRefUID | ( | vtkIdType |  | ) |

const char* vtkRTStructSetProperties::GetStructureSetRTROIInterpretedType | ( | vtkIdType | id | ) |

static vtkRTStructSetProperties* vtkRTStructSetProperties::New | ( |  | ) |

static

Examples:
  GenerateRTSTRUCT.cxx.

void vtkRTStructSetProperties::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |

vtkRTStructSetProperties::vtkGetStringMacro | ( | StructureSetLabel |  | ) |

vtkRTStructSetProperties::vtkGetStringMacro | ( | StructureSetName |  | ) |

vtkRTStructSetProperties::vtkGetStringMacro | ( | StructureSetDate |  | ) |

vtkRTStructSetProperties::vtkGetStringMacro | ( | StructureSetTime |  | ) |

vtkRTStructSetProperties::vtkGetStringMacro | ( | SOPInstanceUID |  | ) |

vtkRTStructSetProperties::vtkGetStringMacro | ( | StudyInstanceUID |  | ) |

vtkRTStructSetProperties::vtkGetStringMacro | ( | SeriesInstanceUID |  | ) |

vtkRTStructSetProperties::vtkGetStringMacro | ( | ReferenceSeriesInstanceUID |  | ) |

vtkRTStructSetProperties::vtkGetStringMacro | ( | ReferenceFrameOfReferenceUID |  | ) |

vtkRTStructSetProperties::vtkSetStringMacro | ( | StructureSetLabel |  | ) |

vtkRTStructSetProperties::vtkSetStringMacro | ( | StructureSetName |  | ) |

vtkRTStructSetProperties::vtkSetStringMacro | ( | StructureSetDate |  | ) |

vtkRTStructSetProperties::vtkSetStringMacro | ( | StructureSetTime |  | ) |

vtkRTStructSetProperties::vtkSetStringMacro | ( | SOPInstanceUID |  | ) |

vtkRTStructSetProperties::vtkSetStringMacro | ( | StudyInstanceUID |  | ) |

vtkRTStructSetProperties::vtkSetStringMacro | ( | SeriesInstanceUID |  | ) |

vtkRTStructSetProperties::vtkSetStringMacro | ( | ReferenceSeriesInstanceUID |  | ) |

vtkRTStructSetProperties::vtkSetStringMacro | ( | ReferenceFrameOfReferenceUID |  | ) |

vtkRTStructSetProperties::vtkTypeRevisionMacro | ( | vtkRTStructSetProperties | ,
|  | vtkObject |
| ) |  |

## Member Data Documentation

vtkRTStructSetPropertiesInternals* vtkRTStructSetProperties::Internals

protected

char* vtkRTStructSetProperties::ReferenceFrameOfReferenceUID

protected

char* vtkRTStructSetProperties::ReferenceSeriesInstanceUID

protected

char* vtkRTStructSetProperties::SeriesInstanceUID

protected

char* vtkRTStructSetProperties::SOPInstanceUID

protected

char* vtkRTStructSetProperties::StructureSetDate

protected

char* vtkRTStructSetProperties::StructureSetLabel

protected

char* vtkRTStructSetProperties::StructureSetName

protected

char* vtkRTStructSetProperties::StructureSetTime

protected

char* vtkRTStructSetProperties::StudyInstanceUID

protected

The documentation for this class was generated from the following file:

- vtkRTStructSetProperties.h